using System;
using System.Collections.Generic;
using gray_messages;

namespace gray_messages.directorial
{
    /*
     * if this is the name of one of your capabilities, pass args to it and execute it.
     * if timeout is > 0 (and also not null), wait that long before terminating the command.
     * if the command completed, send a command_completed. if you had to kill it because
     * timeout, send command_expired. If it has no timeout, send command_output and
     * command_error as you get them, and if it ends some other way, send command_completed
     * with empty stdout and stderr.
     */
    public class execute_command : gray_messages.message
    {
        public string command { get; set; }
        public List<string> args { get; set; } = new List<string>();
        public TimeSpan? timeout { get; set; }
    }
}
