﻿using System;
using System.Collections.Generic;
using System.IO;
using Kafka.Public;
using Newtonsoft.Json;

namespace gray_messages
{
    //protip: you can derive from message and I'll dispatch it back to you just as you would expect
    public abstract class message : IMemorySerializable
    {
        public string type { get { return this.GetType().ToString(); } }
        
        public override string ToString()
        {
            return JsonConvert.SerializeObject(this);
        }
        public void Serialize(MemoryStream toStream)
        {
            var stringBytes = System.Text.Encoding.UTF8.GetBytes(this.ToString());
            toStream.Write(stringBytes, 0, stringBytes.Length);
        }
    }
}
