using System;
using Kafka.Public;
using Kafka.Public.Loggers;

namespace franz
{
    internal class quieterLogger : ILogger
    {
        public void LogDebug(string message) 
        { 
            Console.WriteLine($"[{DateTime.Now}] [DEBUG]: {message}");
        }
        public void LogError(string message)
        {
            Console.Error.WriteLine($"[{DateTime.Now}] [ERROR]: {message}");
        }
        public void LogInformation(string message)
        {
            //Console.WriteLine($"[INFO]: {message}");
        }
        public void LogWarning(string message) 
        {
            Console.WriteLine($"[{DateTime.Now}] [Warning]: {message}");
         }
    }
}